Bug 816421 - konsole seg fault when backspace or delete used in profile command
konsole seg fault when backspace or delete used in profile command
Product: Fedora
Classification: Fedora
Component: konsole (Show other bugs)
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Ngo Than
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2012-04-25 22:51 EDT by Lee Clemens
Modified: 2012-08-07 15:04 EDT (History)
7 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2012-08-07 15:04:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Lee Clemens 2012-04-25 22:51:26 EDT
Description of problem:
When editing the command of a profile in konsole, if the backspace or delete key is pressed multiple times (usually <5) quickly, a segmentation fault occurs.

Version-Release number of selected component (if applicable):
Fedora release 15 (Lovelock)
konsole - 4.6.4
KDE Development Platform 4.6.5 (4.6.5)

How reproducible:

Steps to Reproduce:
1. Open konsole
2. Settings > Configure Profiles
3. Select and click Edit Profile...
4. Click in the Command text box
5a. Press Backspace key multiple times to delete text (may need to press End)
5b. -or Press Delete key multiple times to delete text

Actual results:
Segmentation Fault 11. Backtrace unavailable, even after installing symbols

Expected results:
konsole does not segfault
Text is edited as expected by keyboard input

Additional info:
Comment 1 Lee Clemens 2012-05-11 19:56:15 EDT

I encountered a similar issue while making a simple update to the command in a profile, saved in konsole. I had highlighted (with the mouse) some text at the end of the command, pasted (Ctrl+V) and hit backspace and a segfault occurred.

Comment 2 Fedora End Of Life 2012-08-07 15:04:23 EDT
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:

Note You need to log in before you can comment on or make changes to this bug.